> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Location hits > Used to get the number of location hits over a given time period. ## OpenAPI ````json POST /analytics/locations_hits { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/analytics/locations_hits": { "post": { "summary": "Location hits", "description": "Used to get the number of location hits over a given time period.", "operationId": "analytics-locations-hits", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "from", "to" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "from": { "type": "string", "description": "Start date for the analytics query (YYYY-MM-DD)" }, "to": { "type": "string", "description": "End date for the analytics query (YYYY-MM-DD)" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "oneOf": [ { "title": "Grouped", "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "object", "properties": { "periods": { "type": "object" } } }, "message": { "type": "string", "example": "" }, "success": { "type": "boolean", "example": "true", "default": "true" } } }, { "title": "Totals", "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "data": { "type": "object", "properties": { "totals": { "type": "object", "properties": { "amount": { "type": "string", "example": "1015" } } } } }, "message": { "type": "string", "example": "" }, "success": { "type": "boolean", "example": "true", "default": "true" } } } ] }, "examples": { "Grouped": { "value": { "code": "200", "data": { "1293": { "amount": "75000", "amount_unique": "36000" }, "1345": { "amount": "475000", "amount_unique": "237983" }, "1347": { "amount": "44", "amount_unique": "1" } }, "success": "true" } }, "Totals": { "value": { "code": "200", "data": { "totals": { "amount": "33000" } }, "success": "true" } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Analytics Methods" ] } } } } ````